## libx86emu 1.4

=== Makefile ===
ARCH	:= $(shell uname -m)
ifneq ($(filter i386 i486 i586 i686, $(ARCH)),)
ARCH	:= i386
endif

GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)

CC	= gcc
CFLAGS	= -g -O2 -fPIC -fomit-frame-pointer -Wall
ifneq ($(filter x86_64, $(ARCH)),)
LIBDIR	= /usr/lib64
else
LIBDIR	= /usr/lib
endif
LIBX86	= libx86emu

VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
MAJOR_VERSION := $(shell $(GIT2LOG) --version VERSION ; cut -d . -f 1 VERSION)

CFILES	= $(wildcard *.c)
OBJS	= $(CFILES:.c=.o)

LIB_NAME	= $(LIBX86).so.$(VERSION)
LIB_SONAME	= $(LIBX86).so.$(MAJOR_VERSION)

.PHONY: all shared install test clean

%.o: %.c
	$(CC) -c $(CFLAGS) $<

all: changelog shared

changelog: $(GITDEPS)
	$(GIT2LOG) --changelog changelog

shared: $(LIB_NAME)

install: shared
	install -D $(LIB_NAME) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	ln -snf $(LIB_NAME) $(DESTDIR)$(LIBDIR)/$(LIB_SONAME)
	ln -snf $(LIB_SONAME) $(DESTDIR)$(LIBDIR)/$(LIBX86).so
	install -m 644 -D include/x86emu.h $(DESTDIR)/usr/include/x86emu.h

$(LIB_NAME): .depend $(OBJS)
	$(CC) -shared -Wl,-soname,$(LIB_SONAME) $(OBJS) -o $(LIB_NAME)

test:
	make -C test

clean:
	make -C test clean
	rm -f *.o *~ include/*~ *.so.* .depend

ifneq "$(MAKECMDGOALS)" "clean"
.depend: $(CFILES)
	@$(CC) -MG -MM $(CFLAGS) $(CFILES) >$@
-include .depend
endif

=== debian/changelog ===
libx86emu (1.4-2) unstable; urgency=medium

  [ Tomasz Buchert ]
  * "gbp pq"-friendly patches
  * restricted build to subset of architectures (refs: #733578)

  [ Johann Felix Soden ]
  * Add "alpha" to architecture list.

 -- Sebastien Badia <seb@sebian.fr>  Sun, 16 Mar 2014 13:00:34 +0100

libx86emu (1.4-1) unstable; urgency=low

  * Initial release (closes: #733577)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 23 Jan 2014 23:44:19 +0100

=== debian/control ===
Source: libx86emu
Section: libs
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: https://github.com/wfeldt/libx86emu
Vcs-Git: git://anonscm.debian.org/collab-maint/libx86emu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libx86emu.git

Package: libx86emu1
Architecture: any-amd64 any-i386 ia64 armel armhf alpha
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: x86 emulation library
 Small x86 emulation library with focus of easy usage and
 extended execution logging functions. The library features
 an API to create emulation objects for x86 architecture.
 .
 This package contains the library.

Package: libx86emu-dev
Architecture: any-amd64 any-i386 ia64 armel armhf alpha
Section: libdevel
Depends: libx86emu1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: x86 emulation library (development files)
 Small x86 emulation library with focus of easy usage and
 extended execution logging functions. The library features
 an API to create emulation objects for x86 architecture.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

# disable tests
override_dh_auto_test:

%:
	dh $@

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	bash ./debian/get-tarball.sh $(VERSION)

## libx86emu 1.5

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
 GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
+VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
+BRANCH  := $(shell [ -d .git ] && git branch | perl -ne 'print $$_ if s/^\*\s*//')
+PREFIX  := libx86emu-$(VERSION)
+
+MAJOR_VERSION := $(shell $(GIT2LOG) --version VERSION ; cut -d . -f 1 VERSION)
 
 CC	= gcc
 CFLAGS	= -g -O2 -fPIC -fomit-frame-pointer -Wall
@@ -14,9 +19,6 @@
 LIBDIR	= /usr/lib
 endif
 LIBX86	= libx86emu
-
-VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
-MAJOR_VERSION := $(shell $(GIT2LOG) --version VERSION ; cut -d . -f 1 VERSION)
 
 CFILES	= $(wildcard *.c)
 OBJS	= $(CFILES:.c=.o)
@@ -48,9 +50,17 @@
 test:
 	make -C test
 
+archive: changelog
+	@if [ ! -d .git ] ; then echo no git repo ; false ; fi
+	mkdir -p package
+	git archive --prefix=$(PREFIX)/ $(BRANCH) > package/$(PREFIX).tar
+	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog
+	xz -f package/$(PREFIX).tar
+
 clean:
 	make -C test clean
 	rm -f *.o *~ include/*~ *.so.* .depend
+	rm -rf package
 
 ifneq "$(MAKECMDGOALS)" "clean"
 .depend: $(CFILES)

=== debian/changelog ===
libx86emu (1.5-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/control: Many changes
    * Bump Standards-version (no changes)
    * Update VCS-Browser URL (use cgit and https)

  [ Tomasz Buchert ]
  * Imported Upstream version 1.5

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jun 2015 19:24:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
-Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/wfeldt/libx86emu
 Vcs-Git: git://anonscm.debian.org/collab-maint/libx86emu.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libx86emu.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libx86emu.git
 
 Package: libx86emu1
 Architecture: any-amd64 any-i386 ia64 armel armhf alpha

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 override_dh_install:
 	dh_install --fail-missing
 
-get-orig-source:
-	bash ./debian/get-tarball.sh $(VERSION)
+override_dh_installchangelogs:
+	dh_installchangelogs debian/CHANGELOG
+
+changelog:
+	./debian/gen-upstream-changelog.sh $(VERSION)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libx86emu-$1\.tar\.gz/ \
  https://github.com/wfeldt/libx86emu/tags .*/v?(\d\S*)\.tar\.gz

## libx86emu 1.11

=== debian/changelog ===
libx86emu (1.11-2) unstable; urgency=medium

  * d/*.docs: add README.md to dev package (closes: #829031)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 09 Jul 2016 20:12:03 +0200

libx86emu (1.11-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 1.11

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 25 Jun 2016 11:08:47 +0200

libx86emu (1.10-1) unstable; urgency=medium

  * Updated upstream changelog
  * Imported Upstream version 1.10
  * Bumped Standards-Version to 3.9.8

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 15 May 2016 15:06:13 +0200

libx86emu (1.6-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/*: wrap and sort

  [ Sebastien Badia ]
  * Imported Upstream version 1.6
  * d/control:
      Update debhelper dependency
      Bump  Standards-Version to 3.9.7 (no changes)
      Update Vcs-git field (use https everywhere)
  * d/copyright: Fix copyright dates
  * Updated upstream changelog
  * d/rules: Fix Hardening build flags (bindnow)

 -- Sebastien Badia <seb@sebian.fr>  Sat, 05 Mar 2016 17:46:21 -0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9~)
+Standards-Version: 3.9.8
 Homepage: https://github.com/wfeldt/libx86emu
-Vcs-Git: git://anonscm.debian.org/collab-maint/libx86emu.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libx86emu.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libx86emu.git
 
 Package: libx86emu1
-Architecture: any-amd64 any-i386 ia64 armel armhf alpha
+Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: x86 emulation library
  Small x86 emulation library with focus of easy usage and
@@ -22,7 +22,7 @@
  This package contains the library.
 
 Package: libx86emu-dev
-Architecture: any-amd64 any-i386 ia64 armel armhf alpha
+Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Section: libdevel
 Depends: libx86emu1 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same

## libx86emu 1.12

=== test/Makefile ===
CC         = gcc
CFLAGS     = -g -Wall -fomit-frame-pointer -O2
TST_FILES  = $(wildcard *.tst)
INIT_FILES = $(addsuffix .init,$(basename $(wildcard *.tst)))
RES_FILES  = $(addsuffix .result,$(basename $(wildcard *.tst)))
TEST_OPTS  = --verbose --show code,regs,data,acc,io,ints,attr,time

.PHONY: all test clean
.SECONDARY: $(INIT_FILES)

test: x86test $(RES_FILES)

all: x86test
	@./prepare_test *.tst
	@./x86test $(TEST_OPTS) *.init

x86test: x86test.c
	$(CC) $(CFLAGS) $< -lx86emu -o $@

%.result: %.init
	@./x86test $(TEST_OPTS) $<

%.init: %.tst
	@./prepare_test $<

clean:
	rm -f *~ *.o x86test *.init *.result *.log

=== debian/changelog ===
libx86emu (1.12-1) unstable; urgency=medium

  * d/control: use debhelper 10
  * d/watch: use watch version 4
  * New upstream version 1.12
  * Updated upstream changelog
  * Bumped Standards-Version to 4.0.0

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 19 Sep 2017 00:14:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.0.0
 Homepage: https://github.com/wfeldt/libx86emu
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libx86emu.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libx86emu.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk

## libx86emu 2.0

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,9 @@
 MAJOR_VERSION := $(shell $(GIT2LOG) --version VERSION ; cut -d . -f 1 VERSION)
 
 CC	= gcc
-CFLAGS	= -g -O2 -fPIC -fomit-frame-pointer -Wall
-ifneq ($(filter x86_64, $(ARCH)),)
-LIBDIR	= /usr/lib64
-else
-LIBDIR	= /usr/lib
-endif
+CFLAGS	= -g -O2 -fPIC -fvisibility=hidden -fomit-frame-pointer -Wall
+
+LIBDIR = /usr/lib$(shell ldd /bin/sh | grep -q /lib64/ && echo 64)
 LIBX86	= libx86emu
 
 CFILES	= $(wildcard *.c)
@@ -26,7 +23,7 @@
 LIB_NAME	= $(LIBX86).so.$(VERSION)
 LIB_SONAME	= $(LIBX86).so.$(MAJOR_VERSION)
 
-.PHONY: all shared install test clean
+.PHONY: all shared install test demo clean
 
 %.o: %.c
 	$(CC) -c $(CFLAGS) $<
@@ -46,9 +43,14 @@
 
 $(LIB_NAME): .depend $(OBJS)
 	$(CC) -shared -Wl,-soname,$(LIB_SONAME) $(OBJS) -o $(LIB_NAME)
+	@ln -snf $(LIB_NAME) $(LIB_SONAME)
+	@ln -snf $(LIB_SONAME) $(LIBX86).so
 
 test:
 	make -C test
+
+demo:
+	make -C demo
 
 archive: changelog
 	@if [ ! -d .git ] ; then echo no git repo ; false ; fi
@@ -59,7 +61,8 @@
 
 clean:
 	make -C test clean
-	rm -f *.o *~ include/*~ *.so.* .depend
+	make -C demo clean
+	rm -f *.o *~ include/*~ *.so.* *.so .depend
 	rm -rf package
 
 ifneq "$(MAKECMDGOALS)" "clean"

=== debian/changelog ===
libx86emu (2.0-1) unstable; urgency=medium

  * New upstream version 2.0
  * Migrated libx86emu1 to libx86emu2

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 02 Aug 2018 17:00:57 +0800

libx86emu (1.14-2) unstable; urgency=medium

  * set version (Closes: #899280)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 30 May 2018 21:21:57 +0200

libx86emu (1.14-1) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * switch to dh compat 11
  * fix insecure-copyright-format-uri
  * New upstream version 1.14

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 May 2018 15:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.0.0
 Homepage: https://github.com/wfeldt/libx86emu
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libx86emu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libx86emu.git
+Vcs-Git: https://salsa.debian.org/debian/libx86emu.git
+Vcs-Browser: https://salsa.debian.org/debian/libx86emu
 
-Package: libx86emu1
+Package: libx86emu2
 Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -24,7 +24,7 @@
 Package: libx86emu-dev
 Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Section: libdevel
-Depends: libx86emu1 (= ${binary:Version}), ${misc:Depends}
+Depends: libx86emu2 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: x86 emulation library (development files)
  Small x86 emulation library with focus of easy usage and

## libx86emu 2.2

=== debian/changelog ===
libx86emu (2.2-1) experimental; urgency=medium

  * New upstream version 2.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Mar 2019 11:33:17 +0100

libx86emu (2.1-1) unstable; urgency=medium

  * New upstream version 2.1

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 08 Sep 2018 17:30:55 +0200

=== debian/control ===
Source: libx86emu
Maintainer: Sebastien Badia <seb@sebian.fr>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/libx86emu
Vcs-Git: https://salsa.debian.org/debian/libx86emu.git
Homepage: https://github.com/wfeldt/libx86emu

Package: libx86emu2
Architecture: any-amd64 any-i386 alpha armel armhf ia64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: x86 emulation library
 Small x86 emulation library with focus of easy usage and
 extended execution logging functions. The library features
 an API to create emulation objects for x86 architecture.
 .
 This package contains the library.

Package: libx86emu-dev
Architecture: any-amd64 any-i386 alpha armel armhf ia64
Multi-Arch: same
Section: libdevel
Depends: libx86emu2 (= ${binary:Version}), ${misc:Depends}
Description: x86 emulation library (development files)
 Small x86 emulation library with focus of easy usage and
 extended execution logging functions. The library features
 an API to create emulation objects for x86 architecture.
 .
 This package contains the development files.

## libx86emu 2.4

=== test/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 INIT_FILES = $(addsuffix .init,$(basename $(wildcard *.tst)))
 RES_FILES  = $(addsuffix .result,$(basename $(wildcard *.tst)))
 TEST_OPTS  = --verbose --show code,regs,data,acc,io,ints,attr,time
+
+export LD_LIBRARY_PATH=..
 
 .PHONY: all test clean
 .SECONDARY: $(INIT_FILES)

=== debian/changelog ===
libx86emu (2.4-1) unstable; urgency=medium

  * New upstream version 2.4
  * Updated upstream changelog
  * Update std-ver to 4.4.0 (no changes needed)
  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 22 Aug 2019 14:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libx86emu
 Vcs-Git: https://salsa.debian.org/debian/libx86emu.git
 Homepage: https://github.com/wfeldt/libx86emu

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,10 @@
 	dh $@
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/CHANGELOG

## libx86emu 3.1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 CC	= gcc
 CFLAGS	= -g -O2 -fPIC -fvisibility=hidden -fomit-frame-pointer -Wall
+LDFLAGS =
 
 LIBDIR = /usr/lib$(shell ldd /bin/sh | grep -q /lib64/ && echo 64)
 LIBX86	= libx86emu
@@ -42,7 +43,7 @@
 	install -m 644 -D include/x86emu.h $(DESTDIR)/usr/include/x86emu.h
 
 $(LIB_NAME): .depend $(OBJS)
-	$(CC) -shared -Wl,-soname,$(LIB_SONAME) $(OBJS) -o $(LIB_NAME)
+	$(CC) -shared -Wl,-soname,$(LIB_SONAME) $(OBJS) -o $(LIB_NAME) $(LDFLAGS)
 	@ln -snf $(LIB_NAME) $(LIB_SONAME)
 	@ln -snf $(LIB_SONAME) $(LIBX86).so

=== debian/changelog ===
libx86emu (3.1-2) unstable; urgency=medium

  * d/control:
    + Use my Debian email address
    + Bump Standards-Version to 4.5.1 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/patches: added DEP-3 headers (patch-not-forwarded-upstream)
  * d/rules: Fix debian-rules-parses-dpkg-parsechangelog

 -- Sebastien Badia <sbadia@debian.org>  Tue, 05 Jan 2021 17:40:59 +0100

libx86emu (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.5.0, no changes needed.

  [ Tomasz Buchert ]
  * Updated upstream changelog
  * Fix debian/patches
  * Migrate libx86emu2 to libx86emu3

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 06 May 2020 14:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libx86emu
-Maintainer: Sebastien Badia <seb@sebian.fr>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/libx86emu
 Vcs-Git: https://salsa.debian.org/debian/libx86emu.git
 Homepage: https://github.com/wfeldt/libx86emu
+Rules-Requires-Root: no
 
-Package: libx86emu2
+Package: libx86emu3
 Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -25,7 +26,7 @@
 Architecture: any-amd64 any-i386 alpha armel armhf ia64
 Multi-Arch: same
 Section: libdevel
-Depends: libx86emu2 (= ${binary:Version}), ${misc:Depends}
+Depends: libx86emu3 (= ${binary:Version}), ${misc:Depends}
 Description: x86 emulation library (development files)
  Small x86 emulation library with focus of easy usage and
  extended execution logging functions. The library features

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

include /usr/share/dpkg/pkg-info.mk
VERSION ?= $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

# disable tests
override_dh_auto_test:

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs debian/CHANGELOG

changelog:
	./debian/gen-upstream-changelog.sh $(VERSION)

## libx86emu 3.5

=== test/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 CC         = gcc
 CFLAGS     = -g -Wall -fomit-frame-pointer -O2
-TST_FILES  = $(wildcard *.tst)
+LDFLAGS    =
+TST_FILES  = $(sort $(wildcard *.tst))
 INIT_FILES = $(addsuffix .init,$(basename $(wildcard *.tst)))
-RES_FILES  = $(addsuffix .result,$(basename $(wildcard *.tst)))
+RES_FILES  = $(sort $(addsuffix .result,$(basename $(wildcard *.tst))))
 TEST_OPTS  = --verbose --show code,regs,data,acc,io,ints,attr,time
 
 export LD_LIBRARY_PATH=..
@@ -17,7 +18,7 @@
 	@./x86test $(TEST_OPTS) *.init
 
 x86test: x86test.c
-	$(CC) $(CFLAGS) $< -lx86emu -o $@
+	$(CC) $(CFLAGS) $< -I ../include -L .. -lx86emu -o $@ $(LDFLAGS)
 
 %.result: %.init
 	@./x86test $(TEST_OPTS) $<

=== debian/changelog ===
libx86emu (3.5-1) unstable; urgency=medium

  * New upstream version 3.5

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Apr 2022 15:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libx86emu
-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/libx86emu
 Vcs-Git: https://salsa.debian.org/debian/libx86emu.git
 Homepage: https://github.com/wfeldt/libx86emu

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 include /usr/share/dpkg/architecture.mk
 export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-include /usr/share/dpkg/pkg-info.mk
-VERSION ?= $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
 
 # disable tests
 override_dh_auto_test:
